export type Task = (...args: any) => any;
export interface Scheduler {
    flush_(this: void): void;
    enqueue_(this: void, task: Task): void;
}
export type Ticker = (callback: () => void) => void;
export declare function createScheduler(tick: Ticker): Scheduler;
export declare function createFrameTicker(): (callback: () => void) => void;
export declare function createMicroTicker(): (callback: () => void) => void;
