import { Model, ModelOptions, Subscription, SubscriptionListener } from './model';
export interface Computed<T = unknown> {
    get(): T;
    dispose(): void;
    observe(listener: SubscriptionListener): Subscription;
}
export declare abstract class ViewModel extends Model {
    constructor(options?: ModelOptions);
    $computed<T>(get: () => T): Computed<T>;
}
